.table tr.even {
  background-color: #fcfcfc;
}
.table tr.row-details-show .hide-when-row-details {
  display: none;
}
.table tr.new-row {
  border-left: solid #4CAF50 3px;
}
.table tr.disabled-row {
  border-left: solid #9d9d9d 3px;
}
.table tr .row-details-switcher:before {
  content: "\e9e7";
  display: inline-block;
  font-family: "icomoon";
  font-size: 16px;
  vertical-align: middle;
  position: relative;
  top: -1px;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  cursor: pointer;
}
.table tr .row-details-switcher.show:before {
  content: "\e9e4";
}
.table .img-preview {
  margin-bottom: 2px;
}

textarea {
  resize: vertical;
}

.media-left img:not(.media-preview):not(.img-circle),
.media-right img:not(.media-preview):not(.img-circle),
.thumbnail .media img:not(.media-preview):not(.img-circle) {
  height: auto !important;
}

.scroll-y {
  overflow-y: scroll;
}

.ajax-grid .per-page {
  float: right;
  display: inline-block;
  margin: 0 0 20px 20px;
}
.ajax-grid .per-page select {
  width: 65px;
}
.ajax-grid .per-page > label > span:first-child {
  float: left;
  margin: 8px 15px;
  margin-left: 0;
}

table .sorting {
  position: relative;
  cursor: pointer;
  display: block;
  color: #333333;
}
table .sorting > span {
  padding-right: 20px;
}
table .sorting:after, table .sorting:before {
  content: "";
  font-family: "icomoon";
  position: absolute;
  top: 50%;
  right: 5px;
  font-size: 12px;
  margin-top: -6px;
  display: inline-block;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  color: #999999;
}
table .sorting:before {
  content: "\e9c1";
  margin-top: -2px;
}
table .sorting:after {
  content: "\e9c2";
  margin-top: -10px;
}
table .sorting.asc:before, table .sorting.asc:after, table .sorting.desc:before, table .sorting.desc:after {
  color: inherit;
}
table .sorting.asc:before {
  content: "";
}
table .sorting.asc:after {
  margin-top: -6px;
}
table .sorting.desc:before {
  margin-top: -6px;
}
table .sorting.desc:after {
  content: "";
}

.fileuploader.fileuploader-theme-default {
  background: none;
  margin: 0;
  padding: 0;
}
.fileuploader .fileuploader-input-button {
  background-color: #FF5722;
  color: #fff;
  border-radius: 3px;
  cursor: pointer;
  z-index: 1;
  white-space: nowrap;
  padding: 0 12px;
  font-size: 13px;
  line-height: 39px;
  text-align: center;
  touch-action: manipulation;
}
.fileuploader .fileuploader-input-caption {
  color: inherit;
  font-weight: normal;
}
.fileuploader .fileuploader-item .column-title {
  color: inherit;
}

.slick-slider:hover .slick-arrow {
  opacity: 0.9;
}
.slick-slider .slick-arrow {
  position: absolute;
  z-index: 100;
  top: 50%;
  cursor: pointer;
  background-color: rgba(0, 0, 0, 0.5);
  font-size: 0;
  width: 32px;
  height: 32px;
  border-radius: 2px;
  opacity: 0;
  text-align: center;
}
.slick-slider .slick-arrow.arrow-next:after, .slick-slider .slick-arrow.arrow-prev:after {
  font-family: "icomoon";
  display: inline-block;
  font-size: 16px;
  line-height: 1;
  color: white;
  padding: 8px;
}
.slick-slider .slick-arrow.arrow-next {
  right: 3px;
}
.slick-slider .slick-arrow.arrow-next:after {
  content: "\e9cb";
}
.slick-slider .slick-arrow.arrow-prev {
  left: 3px;
}
.slick-slider .slick-arrow.arrow-prev:after {
  content: "\e9c8";
}

.select2-selection--single {
  height: 100% !important;
}
.select2-selection--single .select2-selection__rendered {
  word-wrap: break-word !important;
  text-overflow: inherit !important;
  white-space: normal !important;
  display: inline !important;
}

.input-group-btn.btn {
  font-size: inherit;
}

.heading-elements2 {
  padding-right: 7px;
}

.panel-footer .datatable-footer {
  border-top: none;
}

.ajax-grid-content .submit-form {
  cursor: pointer;
}

.table-sortable .sortable-move-zone {
  cursor: move;
}

.form-control[type=color] {
  padding: 2px 4px;
  cursor: pointer;
}

.color-th {
  width: 76px;
}

.sidebar-xs .sidebar-user .media {
  padding: 0 10px;
}

.color-checkbox {
  display: inline-block;
  cursor: pointer;
}
.color-checkbox input {
  display: none;
}
.color-checkbox input:checked + div {
  border-color: black;
}
.color-checkbox div {
  border: solid 2px #ddd;
  border-radius: 2px;
  padding: 2px;
}
.color-checkbox div span {
  display: block;
  width: 12px;
  height: 12px;
  border-radius: 2px;
}

.error-input {
  border-color: #FF5722;
}

.error-label {
  color: #FF5722;
}

@media (max-width: 768px) {
  .per-page {
    float: none !important;
    text-align: center;
    margin-left: 0;
  }
  .content {
    padding-left: 4px;
    padding-right: 4px;
  }
}
@media screen and (max-width: 400px) {
  .panel-footer .datatable-footer {
    padding: 12px 12px 0 12px;
  }
}
